Subject: [netmod] decimal64 type

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 29 Aug 2014 12:14:24 +0200

Hi,

after re-reading section 9.3 in RFC 6020, I wonder whether 1.00 is a valid value of

type decimal64 {
  fractional-digits 1;
}

I can’t find anything in the text that makes it invalid because that number is expressible as

10 x 10^-1

and therefore belongs to the value space of that type.

Lada

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 29 Aug 2014 12:21:12 +0200 (CEST)

> and therefore belongs to the value space of that type.

I think you are right.  It also seems that 9.3.2 (which says that
trailing zeros are prohibited in the canonical format) implies this.

/martin